package com.fusi24.rfid.util;

import androidx.annotation.NonNull;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

public class DateHelper {

    @NonNull
    public static String convertDateToReadableDate(String stringTime) {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss", Locale.getDefault());
        SimpleDateFormat output = new SimpleDateFormat("dd-MMM-yyyy", Locale.getDefault());
        Date d = null;
        try {
            d = sdf.parse(stringTime);
        } catch (ParseException e) {
            e.printStackTrace();
        }
        return output.format(d);
    }

}
